#!/bin/bash

# https://unix.stackexchange.com/a/668691/208549
vidpid_to_devs(){
        find $(grep -l "PRODUCT=$(printf "%x/%x" "0x${1%:*}" "0x${1#*:}")" \
                  /sys/bus/usb/devices/[0-9]*:*/uevent | sed 's,uevent$,,') \
           /dev/null -name dev -o -name dev_id |
        sed 's,[^/]*$,uevent,' |
        xargs sed -n -e s,DEVNAME=,/dev/,p -e s,INTERFACE=,,p
}

MMDEV=$(vidpid_to_devs 16d0:1182 | grep tty)

DEVGRP=$(grep ":$(stat -c %g $MMDEV):" /etc/group | awk -F ':' '{ print $1 }')

echo sudo usermod -a -G $DEVGRP $USER
